srecord: srecord::memory_walker_crc32 Class Reference

srecord 1.65.0

Loading...
Searching...
No Matches
srecord::memory_walker_crc32 Class Reference

The srecord::memory_walker_crc32 class is used to represent the parse state of a memory walker which calculates a running CRC32 checksum. More...

`#include <crc32.h>`

Inheritance diagram for srecord::memory_walker_crc32:
[legend]
Collaboration diagram for srecord::memory_walker_crc32:
[legend]

## Public Types
typedef std::shared_ptr< memory_walker_crc32 > | pointer
Public Types inherited from srecord::memory_walker
typedef std::shared_ptr< memory_walker > | pointer

## Public Member Functions
virtual | ~memory_walker_crc32 ()
| The destructor.
unsigned | get () const
| The get method is used to get the CRC32 checksum once all memory chunks have been processed by calls to our observe method.
Public Member Functions inherited from srecord::memory_walker
virtual | ~memory_walker ()
| The destructor.
virtual void | observe_end (void)
| The observe_end method is called once all of the data blocks have been passed to the observer via the observe() method.
virtual void | notify_upper_bound (unsigned long address)
| The notify_upper_bound method is used to notify the walker of the upper bound (highest address plus one) of the observe calls to come.
virtual void | observe_header (const record *rec=0)
| The observe_header method is used to inform the walker of the header record.
virtual void | observe_start_address (const record *rec=0)
| The observe_start_address method is used to inform the walker of the execution start address record.

## Static Public Member Functions
static pointer | create (crc32::seed_mode_t seed_mode)
| The create class method is used to create new dynamically allocated instances of this class.

## Protected Member Functions
void | observe (unsigned long, const void *, int)
| The observe method is used by the memory walker to provide data.
Protected Member Functions inherited from srecord::memory_walker
| memory_walker ()
| The default constructor.

## Detailed Description

The srecord::memory_walker_crc32 class is used to represent the parse state of a memory walker which calculates a running CRC32 checksum.

Definition at line 33 of file crc32.h.

## Member Typedef Documentation

## ◆ pointer

typedef std::shared_ptr<memory_walker_crc32> srecord::memory_walker_crc32::pointer

Definition at line 37 of file crc32.h.

## Constructor & Destructor Documentation

## ◆ ~memory_walker_crc32()

virtual srecord::memory_walker_crc32::~memory_walker_crc32 | ( |  | ) |
| virtual

The destructor.

## Member Function Documentation

## ◆ create()

pointer srecord::memory_walker_crc32::create | ( | crc32::seed_mode_t | seed_mode | ) |
| static

The create class method is used to create new dynamically allocated instances of this class.

Parameters

  seed_mode | How to calculate the initial seed.

## ◆ get()

unsigned srecord::memory_walker_crc32::get | ( |  | ) | const

The get method is used to get the CRC32 checksum once all memory chunks have been processed by calls to our observe method.

## ◆ observe()

void srecord::memory_walker_crc32::observe | ( | unsigned long | address,
|  | const void * | data,
|  | int | data_size )
| protectedvirtual

The observe method is used by the memory walker to provide data.

Derived classes are required to impliment this method, and do something with the data.

Parameters

  address | The base address of this chunk of memory.
  data | The base address of this chunk of memory in memory.
  data_size | The size, in bytes, of this chunk of memory.

Implements srecord::memory_walker.

The documentation for this class was generated from the following file:

- memory/walker/crc32.h